Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.domain
Class NodeType.NodeTypes

    java.lang.Object
      org.modeshape.web.jcr.rest.client.domain.NodeType.NodeTypes

All Implemented Interfaces:
  Iterator, NodeTypeIterator, RangeIterator

Enclosing class:
  NodeType

    protected static class NodeType.NodeTypes

extends Object
implements NodeTypeIterator

Constructor Summary
`protected` | `NodeType.NodeTypes(List<NodeType> nodeTypes)`

Method Summary
`long` | `getPosition()`
`long` | `getSize()`
`boolean` | `hasNext()`
`Object` | `next()`
`NodeType` | `nextNodeType()`
`void` | `remove()`
`void` | `skip(long skipNum)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeType.NodeTypes

    protected NodeType.NodeTypes(List<NodeType> nodeTypes)

Method Detail

### nextNodeType

    public NodeType nextNodeType()

  Specified by:
    `nextNodeType` in interface `NodeTypeIterator`
  See Also:
    `NodeTypeIterator.nextNodeType()`

### getPosition

    public long getPosition()

  Specified by:
    `getPosition` in interface `RangeIterator`
  See Also:
    `RangeIterator.getPosition()`

### getSize

    public long getSize()

  Specified by:
    `getSize` in interface `RangeIterator`
  See Also:
    `RangeIterator.getSize()`

### skip

    public void skip(long skipNum)

  Specified by:
    `skip` in interface `RangeIterator`
  See Also:
    `RangeIterator.skip(long)`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`
  See Also:
    `Iterator.hasNext()`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`
  See Also:
    `Iterator.next()`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`
  See Also:
    `Iterator.remove()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.